#include <stdio.h>
#include <string.h>

 // see mainwindow.h ESTIMATEROWCOUNT
#define ESTIMATEROWCOUNT 231

void createOneCostLibraryLine(unsigned, FILE *);

// This program writes the part of the mainwindow.ui which is the estimate side boxes.
//  You have to manually add it to Qt Creator's mainwindow.ui to add more boxes.
//  Qt Creator has 70 boxes. We want 16800, for example. (2400 x 7 = 16800)
//   mainwindow.ui is 17+ megabytes

int main()
{
	unsigned xx;
	FILE *fp2;

	fp2 = fopen("estlinexxx.ui","w");
	if( fp2 != (FILE *)0 )
	{
		for( xx=1; xx<=ESTIMATEROWCOUNT; ++xx)
			createOneCostLibraryLine( xx, fp2);
		fclose(fp2);
	}
}

void createOneCostLibraryLine( cl_linenumber, fp2)
unsigned cl_linenumber;
FILE *fp2;
{
	FILE *fp;
	unsigned xx;
	char buf[1001], *pt, target[1001];

	fp = fopen("estlinexxx.txt","r");

	for( xx=0; ++xx<1000;)
	{
		if( fgets(buf, 1000, fp) )
		{
			strcpy( target, buf);

			if( (pt=strstr( buf, "pushButtonEst1")) != (char *)0 )
				sprintf( target+(pt-buf), "pushButtonEst%d%s", cl_linenumber, pt+14 );


			if( (pt=strstr( buf, "estline1")) != (char *)0 )
				sprintf( target+(pt-buf), "estline%d%s", cl_linenumber, pt+8 );

			if( (pt=strstr( buf, "est11")) != (char *)0 )
				sprintf( target+(pt-buf), "est%d1%s", cl_linenumber, pt+5 );
			if( (pt=strstr( buf, "est12")) != (char *)0 )
				sprintf( target+(pt-buf), "est%d2%s", cl_linenumber, pt+5 );
			if( (pt=strstr( buf, "est13")) != (char *)0 )
				sprintf( target+(pt-buf), "est%d3%s", cl_linenumber, pt+5 );
			if( (pt=strstr( buf, "est14")) != (char *)0 )
				sprintf( target+(pt-buf), "est%d4%s", cl_linenumber, pt+5 );
			if( (pt=strstr( buf, "est15")) != (char *)0 )
				sprintf( target+(pt-buf), "est%d5%s", cl_linenumber, pt+5 );
			if( (pt=strstr( buf, "est16")) != (char *)0 )
				sprintf( target+(pt-buf), "est%d6%s", cl_linenumber, pt+5 );
			if( (pt=strstr( buf, "est17")) != (char *)0 )
				sprintf( target+(pt-buf), "est%d7%s", cl_linenumber, pt+5 );

			fputs( target, fp2);
		}
		else
			break;
	}
	fclose(fp);
}
