
/*  This file is part of PaceMaker Estimator 2.0.
    PaceMaker Estimator 2.0 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
    PaceMaker Estimator 2.0 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along with PaceMaker Estimator 2.0. If not, see <https://www.gnu.org/licenses/>.
*/

#include "qtymathhidden.h"

qtymathHidden::qtymathHidden()
{

    /* these were stored with each 40 char line in the 1987 coding
     * but I am doing 40*17 = 680 block and I do not need these.
     * Should I maintain them and store them so the old
     * program works? I might, only so I can test new estimates with the old
     * msdos program. Backwards compatibility is my compunction too.
     * They would have to be an array of 17 for each of them.
     *
     * old 1987 data struct  takeoff {
            char ref[2];    // why is there a 2 char library ref for each qtymath line?
            unsigned ext;   // I can understand one for the whole 17 lines.
            float tot;   // tot is what I now call: eg. qtymath1_2 (column 2)
        };                                              qtymath2_2 (column 2)
    */
    /*  ??????????? 2023 ????????
     *  Instead of storing them in the qtymathHidden object
     *  maybe I can calculate them at the time I do the
     *  save to disk of the estimate and skip this:
            char ref[2][17];
            unsigned ext[17];
            float tot[17];

            A vague memory from 1987 is coming back to me
            that I included some floats on the disk
            so I could speed up performance by
            not doing calculations as the estimate is loaded.
            There is no such speed problem in 2023.
            So I might store floats to maintain the file format
            but I definitely will not use them, but rather
            do calculation from raw data, like qty times Hrs = total Hrs,
            as needed; eg. I am not using Total Hrs from the disk file.
            I guess I'll do the same for qtymath lines.
            I know I wrote a fresh qtymath.cpp method for lines and sumOf17Lines.
    */
    return;
}

qtymathHidden::~qtymathHidden()
{
    return;
}

