
/*  This file is part of PaceMaker Estimator 2.0.
    PaceMaker Estimator 2.0 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
    PaceMaker Estimator 2.0 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along with PaceMaker Estimator 2.0. If not, see <https://www.gnu.org/licenses/>.
*/


#ifndef QTYMATHHIDDEN_H
#define QTYMATHHIDDEN_H

#include <QWidget>

namespace Ui {
class qtymathHidden;
}

class qtymathHidden : public QWidget
{
    Q_OBJECT

public:
    qtymathHidden();
    ~qtymathHidden();

    QString block[17];  // 680 chars  17*40=680
    QString refcode;  // 2 chars in 1987 format

    /* Here is a note from the est lines in mainwindow.h

          QString refcode;
                    two chars says *WD or *B, listname
                    fileQtyBlock has it too because
       that block can be saved to the est.lib too,
       and it is one filename per 3 char libcode like this:
       WD.B08 or B_.S24 in the case of *WD listname and *B listname.
     */

};

#endif // QTYMATHHIDDEN_H
