
/*  This file is part of PaceMaker Estimator 2.0.
    PaceMaker Estimator 2.0 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
    PaceMaker Estimator 2.0 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along with PaceMaker Estimator 2.0. If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef TOTALSUBTOTAL_H
#define TOTALSUBTOTAL_H
#define SUBTOTALHOURSDESCRIPTION "Subtotal Hours X"
#define SUBTOTALCOSTSDESCRIPTION "Subtotal Costs  X"

// I added a "S" and a " " like->"TOTAL " to create a distinction in searches:
#define descriptionSUBTOTAL      "SUBTOTALS"
/* The old 1987 code used SUBTOTAL not SUBTOTALS like 2023 */
#define descriptionSUBTOTAL1987      "SUBTOTAL "
#define descriptionTOTAL   "TOTAL "
#define uniqueID_TOTALSblock  "=  "

extern double prefHoursMultiplier;
extern double prefCostsMultiplier;

#endif
