
/*  This file is part of PaceMaker Estimator 2.0.
    PaceMaker Estimator 2.0 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
    PaceMaker Estimator 2.0 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along with PaceMaker Estimator 2.0. If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef ESTLINEEDITHISTORY_H
#define ESTLINEEDITHISTORY_H

#include "mainwindow.h"

class estLineEditHistory
{
public:
    estLineEditHistory( MainWindow *xx, long targ, long src, int typeOfAction );

    QString   *estRowActualrefcode;
    QLineEdit *estRowActual[MAXCOL_libest];
    qtymathHidden **fileQtyBlockActual;

    QString oldestrefcode;
    QString estrefcode;

    QString oldestcol[MAXCOL_libest];
    QString estcol[MAXCOL_libest];

    qtymathHidden *fQB, *oldfQB;

    long saveTarg, saveSrc;
    int saveTypeOfAction;
    QLineEdit *preferredScrollIntoViewQle;
    MainWindow *saveParent;
};

#endif // ESTLINEEDITHISTORY_H
