
/*  This file is part of PaceMaker Estimator 2.0.
    PaceMaker Estimator 2.0 is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
    PaceMaker Estimator 2.0 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along with PaceMaker Estimator 2.0. If not, see <https://www.gnu.org/licenses/>.
*/

#include "libTOestDoRedoUndo.h"

libTOestDoRedoUndo::libTOestDoRedoUndo( myCheckBox *mm, bool oo, bool nn, QUndoCommand *parent )
{

}

void libTOestDoRedoUndo::undo()
{
}

void libTOestDoRedoUndo::redo()
{

}

void libTOestDoRedoUndo::doLibToEst( MainWindow *xx, long targ, long src )
{
    int hh,ww;
    QPushButton *pb;
    QString ss;

    qDebug() << "Add a line from lib to est for this row:" << src;
    if( (ss = xx->libRow[ src ]->col[1]->text()) == nullptr )
            ss = "";
    qDebug() <<ss;
    estRow[targ]->col[1]->clear();
    estRow[targ]->col[1]->insert( ss );

    if( (ss = libRow[ src ]->col[2]->text()) == nullptr )
            ss = "";
    qDebug() <<ss;
    estRow[targ]->col[2]->clear();
    estRow[targ]->col[2]->insert( ss );

    if( (ss = libRow[ src ]->col[3]->text()) == nullptr )
            ss = "";
    qDebug() <<ss;

    // ERASE estRow col[3], which is Qty  because this is a fresh library item to est side
    estRow[targ]->col[3]->clear();
    estRow[targ]->col[4]->clear();
    estRow[targ]->col[4]->insert( ss ); // this is the corresponding library column

    if( ( ss = libRow[ src ]->col[4]->text()) == nullptr )
            ss = "";
    qDebug() <<ss;
    estRow[targ]->col[5]->clear();
    estRow[targ]->col[5]->insert(ss);

    estRow[targ]->col[6]->clear(); // totals are unknown until Qty is typed
    estRow[targ]->col[7]->clear();

    pb = estRow[targ]->pushbutton;
    hh = pb->frameGeometry().height();
    ww = pb->frameGeometry().width();
    ui->scrollArea->ensureWidgetVisible( pb, ww, hh);

    return;
}

void libTOestDoRedoUndo::doEstToLib( MainWindow *xx )
{
xx->libraryEsttoLib();
}
